Consider showing a loading bar while RevisionSlider is loading
Closed, ResolvedPublic3 Story Points

Description

OOUI has an indeterminate progress bar that might be suitable: https://doc.wikimedia.org/oojs-ui/master/demos/#widgets-mediawiki-ltr

Esanders created this task.Jul 2 2016, 1:13 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 2 2016, 1:13 PM
Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Jul 4 2016, 1:42 PM
Lea_WMDE moved this task from Incoming to Backlog on the Revision-Slider board.Jul 5 2016, 2:56 PM
Guycn2 added a subscriber: Guycn2.Jul 23 2016, 12:06 PM

@Esanders is there a correct way to use one of these progress bars from within PHP?

Change 304849 had a related patch set uploaded (by WMDE-leszek):
WIP Use progress bar instead of text when initializing the slider

https://gerrit.wikimedia.org/r/304849

WMDE-leszek triaged this task as Normal priority.Aug 15 2016, 4:25 PM
WMDE-leszek claimed this task.
WMDE-leszek set the point value for this task to 3.
WMDE-leszek moved this task from Proposed to Doing on the TCB-Team-Sprint-2016-08-11 board.
Tobi_WMDE_SW moved this task from Done to Review on the TCB-Team-Sprint-2016-08-29 board.
Lea_WMDE moved this task from Backlog to Doing on the Revision-Slider board.Aug 29 2016, 4:03 PM

Change 304849 merged by jenkins-bot:
Use progress bar instead of text when initializing the slider

https://gerrit.wikimedia.org/r/304849

WMDE-leszek closed this task as Resolved.Sep 8 2016, 8:41 AM
Addshore moved this task from Doing to Done on the Revision-Slider board.Sep 13 2016, 2:48 PM